/*** SOME EASY CHEECKY SUGARS ***/

/*** PADDING-LEFT VIEW WIDTH ***/

.s3d-pl0{
  padding-left:0;
}
.s3d-pl1vw{
  padding-left:1vw;
}	
.s3d-pl10vw{
  padding-left:10vw;
}
.s3d-pl20vw{
  padding-left:20vw;
}
.s3d-pl30vw{
  padding-left:30vw;
}
.s3d-pl40vw{
  padding-left:40vw;
}
.s3d-pl50vw{
  padding-left:50vw;
}

/*** END PADDING-LEFT VIEW WIDTH ***/

/*** PADDING-LEFT VIEW WIDTH ***/

.s3d-pr0{
  padding-right:0;
}
.s3d-pr1vw{
  padding-right:1vw;
}	
.s3d-pr10vw{
  padding-right:10vw;
}
.s3d-pr20vw{
  padding-right:20vw;
}
.s3d-pr30vw{
  padding-right:30vw;
}
.s3d-pr40vw{
  padding-right:40vw;
}
.s3d-pr50vw{
  padding-right:50vw;
}

/*** END PADDING-LEFT VIEW WIDTH ***/

/*** WIDTH VIEW WIDTH COLUMNS ***/

.s3d-w1vw{
  width:10vw;
}
.s3d-w2vw{
  width:20vw;
}
.s3d-w3vw{
  width:30vw;
}
.s3d-w33vw{
  width:33vw;
}
.s3d-w4vw{
  width:40vw;
}
.s3d-w5vw{
  width:50vw;
}
.s3d-w6vw{
  width:60vw;
}
.s3d-w7vw{
  width:70vw;
}
.s3d-w8vw{
  width:80vw;
}
.s3d-w9vw{
  width:90vw;
}
.s3d-wfvw{
  width:100vw;
}

/*** END WIDTH VIEW WIDTH COLUMNS ***/

/*** HEIGHT VIEW HEIGHT COLUMNS ***/

.s3d-h1vh{
  height:10vh;
}
.s3d-h2vh{
  height:20vh;
}
.s3d-h3vh{
  height:30vh;
}
.s3d-h33vh{
  height:33vh;
}
.s3d-h4vh{
  height:40vh;
}
.s3d-h45vh{
  height:45vh;
}
.s3d-h5vh{
  height:50vh;
}
.s3d-h6vh{
  height:60vh;
}
.s3d-h7vh{
  height:70vh;
}
.s3d-h8vh{
  height:80vh;
}
.s3d-h9vh{
  height:90vh;
}
.s3d-hfvh{
  height:100vh;
}

/*** END HEIGHT VIEW HEIGHT COLUMNS ***/

/*** HEIGHT VIEW WIDTH COLUMNS ***/

.s3d-h1vw{
  height:10vw;
}
.s3d-h2vw{
  height:20vw;
}
.s3d-h3vw{
  height:30vw;
}
.s3d-h33vw{
  height:33vw;
}
.s3d-h4vw{
  height:40vw;
}
.s3d-h45vw{
  height:45vw;
}
.s3d-h5vw{
  height:50vw;
}
.s3d-h6vw{
  height:60vw;
}
.s3d-h7vw{
  height:70vw;
}
.s3d-h8vw{
  height:80vw;
}
.s3d-h9vw{
  height:90vw;
}
.s3d-hfvw{
  height:100vw;
}

/*** END HEIGHT VIEW WIDTH COLUMNS ***/

/*** % PERCENTAGE WIDTH COLUMNS ***/

.s3d-1col{
  width:10%;
}
.s3d-2col{
  width:20%;
}
.s3d-3col{
  width:30%;
}
.s3d-33col{
  width:33%;
}
.s3d-4col{
  width:40%;
}
.s3d-5col{
  width:50%;
}
.s3d-6col{
  width:60%;
}
.s3d-7col{
  width:70%;
}
.s3d-8col{
  width:80%;
}
.s3d-9col{
  width:90%;
}
.s3d-fcol{
  width:100%;
}
/*** END PERCENTAGE % COLUMNS ***/

/*** % PERCENTAGE HEIGHT ***/

.s3d-fh{
  height:100%;
}

/*** END PERCENTAGE % HEIGHT ***/

/*** FLEXBOX WIDTH COLUMNS ***/

.s3d-flx .s3d-flx1{
  flex:1;
}
.s3d-flx .s3d-1col{
  width:auto;
  flex-basis:10%;
}
.s3d-flx .s3d-2col{
  width:auto;
  flex-basis:20%;
}
.s3d-flx .s3d-3col{
  width:auto;
  flex-basis:30%;
}
.s3d-flx .s3d-33col{
  width:auto;
  flex-basis:33%;
}
.s3d-flx .s3d-4col{
  width:auto;
  flex-basis:40%;
}
.s3d-flx .s3d-5col{
  width:auto;
  flex-basis:50%;
}
.s3d-flx .s3d-6col{
  width:auto;
  flex-basis:60%;
}
.s3d-flx s3d-7col{
  width:auto;
  flex-basis:70%;
}
.s3d-flx .s3d-8col{
  width:auto;
  flex-basis:80%;
}
.s3d-flx .s3d-9col{
  width:auto;
  flex-basis:90%;
}
.s3d-flx .s3d-fcol{
  width:auto;
  flex-basis:100%;
}
img.s3d-3col{
  width:30% !important;
  flex-basis:auto !important;
}
img.s3d-8col{
  width:80% !important;
  flex-basis:auto !important;
}
img.s3d-fcol{
  width:100% !important;
  flex-basis:auto !important;
}
/*** END FLEXBOX WIDTH COLUMNS ***/

/*** FLEXBOX SUGARS ***/

.s3d-flx{
  display:flex;
}
.s3d-dirCol{
  flex-direction:column;
}
.s3d-flxwrap{
  flex-wrap:wrap;
}
.s3d-acc{
  align-content:center;
}
.s3d-acsb{
  align-content:space-between;
}
.s3d-aifs{
  align-items:flex-start;
}
.s3d-aic{
  align-items:center;
}
.s3d-aife{
  align-items:flex-end;
}
.s3d-ais{
  align-items:stretch;
}
.s3d-jcfs{
  justify-content:flex-start;
}
.s3d-jcc{
  justify-content:center;
}
.s3d-jcfe{
  justify-content:flex-end;
}
.s3d-jcsb{
  justify-content:space-between;
}

/*** END FLEXBOX SUGARS ***/

/*** MARGIN LEFT VIEW WIDTH ***/

.s3d-ml5vw{
  margin-left:5vw;
}
.s3d-ml10vw{
  margin-left:10vw;
}
.s3d-ml20vw{
  margin-left:20vw;
}
.s3d-ml30vw{
  margin-left:30vw;
}

/*** END MARGIN LEFT VIEW WIDTH ***/


/*** MARGIN BOTTOM PX ***/

.s3d-mb0{
  margin-bottom:0px;
}
.s3d-mb10px{
  margin-bottom:10px;
}
.s3d-mb20px{
  margin-bottom:20px;
}
.s3d-mb30px{
  margin-bottom:30px;
}

/*** END MARGIN BOTTOM PX ***/


/*** MARGIN TOP PX ***/

.s3d-mt0{
  margin-top:0px;
}
.s3d-mt10px{
  margin-top:10px;
}
.s3d-mt20px{
  margin-top:20px;
}
.s3d-mt30px{
  margin-top:30px;
}

/*** END MARGIN TOP PX ***/


/*** MARGIN TOP VIEW WIDTH ***/

.s3d-mt5vh{
  margin-top:5vh;
}
.s3d-mt10vh{
  margin-top:10vh;
}
.s3d-mt20vh{
  margin-top:20vh;
}
.s3d-mt30vh{
  margin-top:30vh;
}

/*** END MARGIN TOP VIEW WIDTH ***/

/*** MARGIN BOTTOM VIEW WIDTH ***/

.s3d-mb5vh{
  margin-bottom:5vh;
}
.s3d-mb10vh{
  margin-bottom:10vh;
}
.s3d-mb20vh{
  margin-bottom:20vh;
}
.s3d-mb30vh{
  margin-bottom:30vh;
}

/*** END MARGIN BOTTOM VIEW WIDTH ***/

/*** TEXT ALIGN ***/

.s3d-tal{
  text-align:left;
}
.s3d-tac{
  text-align:center;
}
.s3d-tar{
  text-align:right;
}

/*** END TEXT ALIGN ***/

/*** MOBILE ***/

@media  screen and (max-width: 768px) {
	
  /*** MARGIN BOTTOM PIXELS ***/
	
  .s3d-mmb0{
	margin-bottom:0px;
  }
  .s3d-mmb10{
	margin-bottom:10px;
  }
  .s3d-mmb20{
	margin-bottom:20px;
  }
  .s3d-mmb30{
	margin-bottom:30px;
  }
	
  /*** END MARGIN BOTTOM PIXELS ***/
	
  /*** MARGIN TOP PIXELS ***/
	
  .s3d-mmt0{
	margin-top:0px;
  }
  .s3d-mmt10{
	margin-top:10px;
  }
  .s3d-mmt20{
	margin-top:20px;
  }
  .s3d-mmt30{
	margin-top:30px;
  }
	
  /*** END MARGIN TOP PIXELS ***/

  /*** WIDTH VIEW WIDTH COLUMNS ***/

  .s3d-mw33vw{
    width:33vw;
  }
  .s3d-mw5vw{
    width:50vw;
  }
  .s3d-mw8vw{
    width:80vw;
  }
  .s3d-mwfvw{
    width:100vw;
  }

  /*** END WIDTH VIEW WIDTH COLUMNS ***/

  /*** HEIGHT VIEW HEIGHT COLUMNS ***/

  .s3d-mh3vh{
    height:30vh;
  }
  .s3d-mh33vh{
    height:33vh;
  }
  .s3d-mh4vh{
    height:40vh;
  }
  .s3d-mh45vh{
    height:45vh;
  }
  .s3d-mh5vh{
    height:50vh;
  }
  .s3d-mh8vh{
    height:80vh;
  }
  .s3d-mh9vh{
    height:90vh;
  }
  .s3d-mhfvh{
    height:100vh;
  }

  /*** END HEIGHT VIEW HEIGHT COLUMNS ***/

  /*** HEIGHT VIEW WIDTH COLUMNS ***/

  .s3d-mh5vw{
    height:50vw;
  }
  .s3d-mhfvw{
    height:100vw;
  }

  /*** END HEIGHT VIEW WIDTH COLUMNS ***/

  /*** % PERCENTAGE WIDTH COLUMNS ***/

  .s3d-m33col{
    width:33%;
  }
  .s3d-m5col{
    width:50%;
  }
  .s3d-m8col{
    width:80%;
  }
  .s3d-m9col{
    width:90%;
  }
  .s3d-mfcol{
    width:100%;
  }

  /*** END PERCENTAGE % COLUMNS ***/

  /*** % PERCENTAGE HEIGHT ***/

  .s3d-mfh{
    height:100%;
  }

  /*** END PERCENTAGE % HEIGHT ***/

  /*** FLEXBOX WIDTH COLUMNS ***/

  .s3d-flx .s3d-m33col{
    width:auto;
    flex-basis:33%;
  }
  .s3d-flx .s3d-m5col{
    width:auto;
    flex-basis:50%;
  }
  .s3d-flx .s3d-m8col{
    width:auto;
    flex-basis:80%;
  }
  .s3d-flx .s3d-m9col{
    width:auto;
    flex-basis:90%;
  }
  .s3d-flx .s3d-mfcol{
    width:auto;
    flex-basis:100%;
  }
  /*** END FLEXBOX WIDTH COLUMNS ***/

  /*** FLEXBOX SUGARS ***/

  .s3d-mflx{
    display:flex;
  }
  .s3d-mdirCol{
    flex-direction:column;
  }
  .s3d-mdcr{
	flex-direction:column-reverse;
  }	
  .s3d-mrr{
	flex-direction:row-reverse;
  }
  .s3d-mflxwrap{
    flex-wrap:wrap;
  }
  .s3d-maifs{
    align-items:flex-start;
  }
  .s3d-maic{
    align-items:center;
  }
  .s3d-maife{
    align-items:flex-end;
  }
  .s3d-mjcfs{
    justify-content:flex-start;
  }
  .s3d-mjcc{
    justify-content:center;
  }
  .s3d-mjcfe{
    justify-content:flex-end;
  }
  /*** END FLEXBOX SUGARS ***/
	
  /*** PADDING-LEFT VIEW WIDTH ***/

  .s3d-mpl0{
    padding-left:0;
  }
  .s3d-mpl1vw{
    padding-left:1vw;
  }	
  .s3d-mpl10vw{
    padding-left:10vw;
  }
  .s3d-mpl20vw{
    padding-left:20vw;
  }
  .s3d-mpl30vw{
    padding-left:30vw;
  }
  .s3d-mpl40vw{
    padding-left:40vw;
  }
  .s3d-mpl50vw{
    padding-left:50vw;
  }

  /*** END PADDING-LEFT VIEW WIDTH ***/

  /*** PADDING-LEFT VIEW WIDTH ***/

  .s3d-mpr0{
    padding-right:0;
  }
  .s3d-mpr1vw{
    padding-right:1vw;
  }	
  .s3d-mpr10vw{
    padding-right:10vw;
  }
  .s3d-mpr20vw{
    padding-right:20vw;
  }
  .s3d-mpr30vw{
    padding-right:30vw;
  }
  .s3d-mpr40vw{
    padding-right:40vw;
  }
  .s3d-mpr50vw{
    padding-right:50vw;
  }

  /*** END PADDING-LEFT VIEW WIDTH ***/	
	
	
	
}
/*** END S3D SUGARS ***/